Package org.eclipse.wst.xsl.ui.internal.doubleclick

## org.eclipse.wst.xsl.ui.internal.doubleclick
Class XSLDoubleClickStrategy

    public class XSLDoubleClickStrategy
    extends XMLDoubleClickStrategy

XSLDoubleClickStrategy extends the XMLDoubleclickStrategy to take into account those areas that may be involved in XPath Expressions.

## Field Summary

`package-private static char[]` | `XML_DELIMITERS`
`package-private static char[]` | `XML_PARENTHESIS`

## Constructor Summary

`XSLDoubleClickStrategy()`

## Method Summary

`protected Point` | `getWord(java.lang.String string , int cursor)`
`protected int` | `startOfWord(java.lang.String string , int cursor , int wordStart)`

## Field Detail

## XML_DELIMITERS

`package-private static char[] XML_DELIMITERS`

## XML_PARENTHESIS

`package-private static char[] XML_PARENTHESIS`

## Constructor Detail

## XSLDoubleClickStrategy

`public XSLDoubleClickStrategy()`

## Methods Detail

## getWord

`protected Point getWord(java.lang.String string , int cursor)`

### Parameters

`string`

`cursor`

### Returns

`Point`

## startOfWord

`protected int startOfWord(java.lang.String string , int cursor , int wordStart)`

### Parameters

`string`

`cursor`

`wordStart`

### Returns

`int`